// SPDX-License-Identifier: Unlicense

#include "sfxPluginLv2.h"

#ifdef SHR3D_SFX_PLUGIN_LV2

void SfxPluginLv2::init()
{
}

bool SfxPluginLv2::hasSfxPluginWindow(const SfxIndex index)
{
  return {};
}

void SfxPluginLv2::openWindow(SfxIndex index, i32 instance)
{
}

Size SfxPluginLv2::getSfxPluginWindowSize(SfxIndex index)
{
  return {};
}

void SfxPluginLv2::closeWindow(SfxIndex index, i32 instance)
{
}

void SfxPluginLv2::processBlock(SfxIndex index, i32 instance, f32** inBlock, f32** outBlock, i32 blockSize)
{
}

std::string SfxPluginLv2::saveParameters(SfxIndex index, i32 instance)
{
  return {};
}

void SfxPluginLv2::loadParameters(SfxIndex index, i32 instance, const std::string& parameters)
{
}

#endif // SHR3D_SFX_PLUGIN_LV2
